---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-02-18T19:14:20.819Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Plugin installation
1. Make sure you have [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://dev.bukkit.org/projects/vault) and an economy manager (like [EssentialsX](https://essentialsx.net/downloads.html)) installed.
2. Download the plugin on [Spigot](https://www.spigotmc.org/resources/50-off-vehiclesplus-1-12-1-19.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-19.633)
3. Put the JAR file into your `/plugins` folder.
4. Restart your server.

# Resourcepack download
We provide an **example** resourcepack to use with our plugin (and the provided example vehicles). We recommend creating your own resourcepack, so that you can add more custom vehicles.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.12.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.12.2.zip) | `dc487f4b285a8c5605c70f617f4417844ff50236` |
| 1.13.x - 1.14.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.13.2-1.14.4.zip) | `5f843c09703221dee41276225278771d195fce13` |
| 1.15.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.15.2-1.16.1.zip) | `e00384e19a410648b5f77d0d0b6b0e9ebc9edf49` |
| 1.16.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.16.2-1.16.4.zip) | `7c17c7e0f1e4c5ddb03b01490bf8b42dc393dea7` |
| 1.17.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.17.x.zip) | `5f1ebf97998539db0edbbeddc9ca5f69c6a71b04` |
| 1.18.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.18.x.zip) | `c0a4598fc7d53040a8e9e74e777b073527926cbf` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19-1.19.2.zip) | `d66ae3774a6ecab74bf10950806211d8ec0a0739` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19.3.zip) | `b223ce779c0efa793faf9d6a2ae7ed06ac2d4ff0` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19.4.zip) | `fd08583b7d7936536c7e27c83fa4a159202092f0` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.20-1.20.1.zip) | `0f67daef7ff77d5bb87ee3d7c019c2075ea0e50e` |
| 1.20.2 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.20.2-1.20.4.zip) | `59619b6662601a299410b6cb3d4d1a9ce83be8e2` |

## Using our example pack as server resourcepack
It's also possible to use our example pack as your server resourcepack.

1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.